shape = 'NR17.off';
hks_file = 'NR17.mat';
ip_file = 'NR17_IPH1.mat';

A = load(hks_file);
B = load(ip_file);
IP = double(B.IP);

for j = 1:size(A.hks, 1)
   A.hks(j,:) = A.hks(j,:)/norm(A.hks(j,:));
end

[c,w, index] = adaptiveClustering(A.hks(IP,:), 0.1, 0.2, 10, 10, 1);

plotKeypointsClusterHKS(shape, IP, index);
